Bug 127144 - cdrecord --scanbus reports wrong device number
Summary: cdrecord --scanbus reports wrong device number
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-02 16:33 UTC by H.J. Lu
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 13:57:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H.J. Lu 2004-07-02 16:33:19 UTC
I am using cdrecord-2.01-0.a27.4 on a P4 machine with
2 IDE HDs, one IDE DVD-ROM driveand one IDE CD-R drive.
I got

[root@gnu iso]# cdrecord --scanbus
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Warning: Using badly designed ATAPI via /dev/hd* interface.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.80-RH '@(#)scsi-linux-sg.c       
1.80 04/03/08 Copyright 1997 J. Schilling').
scsibus1:
        1,0,0   100) 'CDWRITER' 'IDE5224         ' '0012' Removable CD-ROM
        1,1,0   101) 'TOSHIBA ' 'DVD-ROM SD-M1612' '1004' Removable CD-ROM
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *

It reports my CD-R is "1,0,0". But

# [root@gnu iso]# cdrecord  -prcap dev=ATAPI:1,0,0
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATAPI:1,0,0'
devname: 'ATAPI'
scsibus: 1 target: 0 lun: 0
Warning: Using ATA Packet interface.
Warning: The related libscg interface code is in pre alpha.
Warning: There may be fatal problems.
Using libscg version 'schily-0.8'.
cdrecord: Cannot do inquiry for CD/DVD-Recorder.
cdrecord: Input/output error. test unit ready: scsi sendcmd: fatal error
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

The real device number is 0,0,0.

[root@gnu iso]# cdrecord  -prcap dev=ATAPI:0,0,0
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATAPI:0,0,0'
devname: 'ATAPI'
scsibus: 0 target: 0 lun: 0
Warning: Using ATA Packet interface.
Warning: The related libscg interface code is in pre alpha.
Warning: There may be fatal problems.
Using libscg version 'schily-0.8'.
Device type    : Removable CD-ROM
Version        : 0
Response Format: 1
Vendor_info    : 'CDWRITER'
Identifikation : 'IDE5224         '
Revision       : '0012'
Device seems to be: Generic mmc CD-RW.
 
Drive capabilities, per MMC-2 page 2A:
 
  Does read CD-R media
  Does write CD-R media
  Does read CD-RW media
  Does write CD-RW media
  Does not read DVD-ROM media
  Does not read DVD-R media
  Does not write DVD-R media
  Does not read DVD-RAM media
  Does not write DVD-RAM media
  Does support test writing
 
  Does read Mode 2 Form 1 blocks
  Does read Mode 2 Form 2 blocks
  Does read digital audio blocks
  Does restart non-streamed digital audio reads accurately
  Does support Buffer-Underrun-Free recording
  Does read multi-session CDs
  Does read fixed-packet CD media using Method 2
  Does not read CD bar code
  Does not read R-W subcode information
  Does read raw P-W subcode data from lead in
  Does return CD media catalog number
  Does return CD ISRC information
  Does support C2 error pointers
  Does not deliver composite A/V data
 
  Does play audio CDs
  Number of volume control levels: 256
  Does support individual volume control setting for each channel
  Does support independent mute setting for each channel
  Does not support digital output on port 1
  Does not support digital output on port 2
 
  Loading mechanism type: tray
  Does support ejection of CD via START/STOP command
  Does not lock media on power up via prevent jumper
  Does allow media to be locked in the drive via PREVENT/ALLOW command
  Is not currently in a media-locked state
  Does not support changing side of disk
  Does not have load-empty-slot-in-changer feature
  Does not support Individual Disk Present feature
 
  Maximum read  speed:  1411 kB/s (CD   8x, DVD  1x)
  Current read  speed:  1410 kB/s (CD   8x, DVD  1x)
  Maximum write speed:  9172 kB/s (CD  52x, DVD  6x)
  Current write speed:  9172 kB/s (CD  52x, DVD  6x)
  Buffer size in KB: 2048
  Copy management revision supported: 0

Comment 1 Harald Hoyer 2004-07-13 13:46:49 UTC
could you please try this version:
ftp://people.redhat.com/harald/cdrtools-2.01.0.a33-1/

Comment 2 H.J. Lu 2004-07-13 18:36:53 UTC
There is no change. However,

# rpm -Uvh cdrecord-2.01.0.a33-1.i386.rpm

does put

cdrom=          ATAPI:0,0,0     -1      -1      burnfree

in /etc/cdrecord.conf and it is correct.

Comment 3 Harald Hoyer 2004-10-13 12:32:22 UTC
any improvement with the update releases?

Comment 4 Harald Hoyer 2005-09-16 13:57:00 UTC
CANTFIX without more information, closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.